| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::OrbitFileDiagnosticsReport Class Reference

Class for orbit file diagnostic report. More...

List of all members.

## Public Member Functions
| OrbitFileDiagnosticsReport ()
| Empty constructor.
| OrbitFileDiagnosticsReport (xd_orbit_file_diagnostics_report_single *diagnostics_report)
| Constructor which will copy the diagnostics from 'xd_orbit_file_diagnostics_report_generic' structure.
| ~OrbitFileDiagnosticsReport ()
| Destructor.
## Public Attributes
long | osvListId
| identifier associated to the OSV list (applicable for file storing multiple OSV lists, e.g. SP3)
long | numOsv
| number of OSVs which were checked
double | totalTime
| total time covered by the file (i.e. from first to last OSV)
double | timeFirstOsv
| time of first OSV
double | timeLastOsv
| time of last OSV
long | timeRef
| time system of time related fields in this structure
vector< double > | timeStartGap
| list containing start time of GAPs
vector< double > | timeStopGap
| list containing stop time of GAPs
vector< long > | indexGap
| list containing index of GAPs (the index represents the ID of OSV which is preceded by a GAP)
long | numGaps
| number of identified GAPs
vector< double > | timeGoingBackOsv
| list containing time of going back OSVs
vector< long > | indexGoingBackOsv
| list containing index of going back OSVs
long | numGoingBackOsv
| number of identified going back OSVs
vector< double > | timeDuplicatedOsv
| list containing time of duplicated OSVs
vector< long > | indexDuplicatedOsv
| list containing index of duplicated OSVs
long | numDuplicatedOsv
| number of identified duplicated OSVs
vector< double > | timeInconsistentOrbitNumber
| list containing time of OSVs with inconsistent orbit number
vector< long > | indexInconsistentOrbitNumber
| list containing index of OSVs with inconsistent orbit number
long | numInconsistentOrbitNumber
| number of OSVs with inconsistent orbit number
vector< double > | timeNonEquallySpacedOsv
| list containing time of non equally spaced OSVs
vector< long > | indexNonEquallySpacedOsv
| list containing index of non equally spaced OSVs
long | numNonEquallySpacedOsv
| number of OSVs with time step different from expected (absolute value of difference from step and expected > threshold)

## Detailed Description

Class for orbit file diagnostic report.

## Constructor & Destructor Documentation

EECFI::OrbitFileDiagnosticsReport::OrbitFileDiagnosticsReport | ( |  | ) |

Empty constructor.

EECFI::OrbitFileDiagnosticsReport::OrbitFileDiagnosticsReport | ( | xd_orbit_file_diagnostics_report_single * | diagnostics_report | ) |

Constructor which will copy the diagnostics from 'xd_orbit_file_diagnostics_report_generic' structure.

References indexDuplicatedOsv, indexGap, indexGoingBackOsv, indexInconsistentOrbitNumber, indexNonEquallySpacedOsv, numDuplicatedOsv, numGaps, numGoingBackOsv, numInconsistentOrbitNumber, numNonEquallySpacedOsv, numOsv, osvListId, timeDuplicatedOsv, timeFirstOsv, timeGoingBackOsv, timeInconsistentOrbitNumber, timeLastOsv, timeNonEquallySpacedOsv, timeRef, timeStartGap, timeStopGap, and totalTime.

EECFI::OrbitFileDiagnosticsReport::~OrbitFileDiagnosticsReport | ( |  | ) |

Destructor.

References indexDuplicatedOsv, indexGap, indexGoingBackOsv, indexInconsistentOrbitNumber, indexNonEquallySpacedOsv, timeDuplicatedOsv, timeGoingBackOsv, timeInconsistentOrbitNumber, timeNonEquallySpacedOsv, timeStartGap, and timeStopGap.

## Member Data Documentation

vector<long> EECFI::OrbitFileDiagnosticsReport::indexDuplicatedOsv

list containing index of duplicated OSVs

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

vector<long> EECFI::OrbitFileDiagnosticsReport::indexGap

list containing index of GAPs (the index represents the ID of OSV which is preceded by a GAP)

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

vector<long> EECFI::OrbitFileDiagnosticsReport::indexGoingBackOsv

list containing index of going back OSVs

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

vector<long> EECFI::OrbitFileDiagnosticsReport::indexInconsistentOrbitNumber

list containing index of OSVs with inconsistent orbit number

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

vector<long> EECFI::OrbitFileDiagnosticsReport::indexNonEquallySpacedOsv

list containing index of non equally spaced OSVs

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

long EECFI::OrbitFileDiagnosticsReport::numDuplicatedOsv

number of identified duplicated OSVs

Referenced by OrbitFileDiagnosticsReport().

long EECFI::OrbitFileDiagnosticsReport::numGaps

number of identified GAPs

Referenced by OrbitFileDiagnosticsReport().

long EECFI::OrbitFileDiagnosticsReport::numGoingBackOsv

number of identified going back OSVs

Referenced by OrbitFileDiagnosticsReport().

long EECFI::OrbitFileDiagnosticsReport::numInconsistentOrbitNumber

number of OSVs with inconsistent orbit number

Referenced by OrbitFileDiagnosticsReport().

long EECFI::OrbitFileDiagnosticsReport::numNonEquallySpacedOsv

number of OSVs with time step different from expected (absolute value of difference from step and expected > threshold)

Referenced by OrbitFileDiagnosticsReport().

long EECFI::OrbitFileDiagnosticsReport::numOsv

number of OSVs which were checked

Referenced by OrbitFileDiagnosticsReport().

long EECFI::OrbitFileDiagnosticsReport::osvListId

identifier associated to the OSV list (applicable for file storing multiple OSV lists, e.g. SP3)

Referenced by OrbitFileDiagnosticsReport().

vector<double> EECFI::OrbitFileDiagnosticsReport::timeDuplicatedOsv

list containing time of duplicated OSVs

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

double EECFI::OrbitFileDiagnosticsReport::timeFirstOsv

time of first OSV

Referenced by OrbitFileDiagnosticsReport().

vector<double> EECFI::OrbitFileDiagnosticsReport::timeGoingBackOsv

list containing time of going back OSVs

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

vector<double> EECFI::OrbitFileDiagnosticsReport::timeInconsistentOrbitNumber

list containing time of OSVs with inconsistent orbit number

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

double EECFI::OrbitFileDiagnosticsReport::timeLastOsv

time of last OSV

Referenced by OrbitFileDiagnosticsReport().

vector<double> EECFI::OrbitFileDiagnosticsReport::timeNonEquallySpacedOsv

list containing time of non equally spaced OSVs

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

long EECFI::OrbitFileDiagnosticsReport::timeRef

time system of time related fields in this structure

Referenced by OrbitFileDiagnosticsReport().

vector<double> EECFI::OrbitFileDiagnosticsReport::timeStartGap

list containing start time of GAPs

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

vector<double> EECFI::OrbitFileDiagnosticsReport::timeStopGap

list containing stop time of GAPs

Referenced by OrbitFileDiagnosticsReport(), and ~OrbitFileDiagnosticsReport().

double EECFI::OrbitFileDiagnosticsReport::totalTime

total time covered by the file (i.e. from first to last OSV)

Referenced by OrbitFileDiagnosticsReport().